Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Class EditorKitEvent.EventType

    java.lang.Object
      jpicedt.graphic.event.EditorKitEvent.EventType

Enclosing class:
  EditorKitEvent

public static class EditorKitEvent.EventType
extends Object

typesafe enumeration of allowed event types

Field Summary
`static EditorKitEvent.EventType` | `ELEMENT_CLICKED` signals that the user clicked on a graphic element [SR:pending] change name to ON_MOUSE_CLICK ?
`static EditorKitEvent.EventType` | `ELEMENT_ENTERED` signal that the mouse-cursor entered the sensitive area of a graphic element [SR:pending] change name to ON_MOUVE_OVER to conform to W3C's DOM for XML-SVG ?
`static EditorKitEvent.EventType` | `ELEMENT_EXITED` signals that the mouse-cursor exited the sensitive area of a graphic element

Method Summary
`String` | `toString()` Return the name of this event type ; this can be used by a GUI, but it's in english, so it needs to be localized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT_ENTERED

    public static final EditorKitEvent.EventType ELEMENT_ENTERED

  signal that the mouse-cursor entered the sensitive area of a graphic element [SR:pending] change name to ON_MOUVE_OVER to conform to W3C's DOM for XML-SVG ?

### ELEMENT_EXITED

    public static final EditorKitEvent.EventType ELEMENT_EXITED

  signals that the mouse-cursor exited the sensitive area of a graphic element

### ELEMENT_CLICKED

    public static final EditorKitEvent.EventType ELEMENT_CLICKED

  signals that the user clicked on a graphic element [SR:pending] change name to ON_MOUSE_CLICK ?

Method Detail

### toString

    public String toString()

  Return the name of this event type ; this can be used by a GUI, but it's in english, so it needs to be localized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org